<template>
  <div class="detail" style="width: 5.5rem">
    <div class="tab-scroll">
      <PublicDataStandard :dataStandard="dataStandard"></PublicDataStandard>
      <span class="time-select">{{ timeStart }}——{{ timeEnd }}</span>
    </div>
    <el-table
        :data="tableData"
        style="width: 100%;"
        height="280px"
    >
      <el-table-column
          prop="LabMonTime"
          label="检测时间">
      </el-table-column>
      <el-table-column
          label="COD">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="氨氮">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="总磷">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="总氮">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <!--      <el-table-column-->
      <!--          fixed="right"-->
      <!--          label="苯">-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="LabMonValue"-->
      <!--            label="监测值">-->
      <!--        </el-table-column>-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="StdValue"-->
      <!--            label="标准值">-->
      <!--        </el-table-column>-->
      <!--      </el-table-column>-->
    </el-table>
  </div>
</template>

<script>

import PublicDataStandard from '../PublicDataStandard'
import mapApi from '@/api/mapApi'
import 'dayjs/locale/es'
import dayjs from 'dayjs'

export default {
  name: 'Detail',
  components: {
    PublicDataStandard
  },
  data () {
    return {
      tableData: [],
      // tab栏传递接收数据
      dataStandard: [
        {
          current: {
            name: '氮氧化物',
            val: 29.93
          },
          standard: {
            name: '标准',
            val: 100
          }
        },
        {
          current: {
            name: '二氧化硫',
            val: 17.34
          },
          standard: {
            name: '标准',
            val: 50
          }
        },
        {
          current: {
            name: '烟尘',
            val: 6.93
          },
          standard: {
            name: '标准',
            val: 30
          }
        },
        {
          current: {
            name: '废气流量',
            val: 120
          },
          standard: {
            name: '',
            val: null
          }
        }],
      timeEnd: dayjs().format('YYYY-MM-DD HH:mm:ss'),
      timeStart: dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
    }
  },
  mounted () {
    this.initdetail()
  },
  methods: {
    async initdetail () {
      const timeEnd = dayjs().format('YYYY-MM-DD HH:mm:ss')
      const timeStart = dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
      const data = {
        companyId: 3900100145,
        labMonPointId: 219,
        beginTime: timeStart,
        endTime: timeEnd
      }
      const result = (await mapApi.getQueryLabMonData(data)).Result.DataInfo
      // console.log(result)
      this.tableData = result
    }
  }
}

</script>

<style scoped>
/deep/ .el-table--border::after, .el-table--group::after, .el-table::before {
  background: none;
}

/*/deep/ .el-table {*/
/*  border: none !important;*/
/*}*/

.tab-scroll {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.time-select {
  cursor: pointer;
  padding: 5px;
  border: 1px solid #2b87c8;
  border-radius: 4px;
  text-align: center;
  color: #fff;
  font-size: 11px;
  width: 280px;
}
</style>
